Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Defines | Variables

# ext/fiddle/fiddle.h File Reference

`#include <ruby.h>`
`#include <errno.h>`
`#include <ffi.h>`
`#include <closure.h>`
`#include <conversions.h>`
`#include <function.h>`
Include dependency graph for fiddle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | TYPE_VOID 0
#define | TYPE_VOIDP 1
#define | TYPE_CHAR 2
#define | TYPE_SHORT 3
#define | TYPE_INT 4
#define | TYPE_LONG 5
#define | TYPE_FLOAT 7
#define | TYPE_DOUBLE 8
## Variables
VALUE | mFiddle

## Define Documentation

#define TYPE_CHAR 2

Definition at line 81 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_DOUBLE 8

Definition at line 89 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_FLOAT 7

Definition at line 88 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_INT 4

Definition at line 83 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_LONG 5

Definition at line 84 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_SHORT 3

Definition at line 82 of file fiddle.h.

Referenced by generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_VOID 0

Definition at line 79 of file fiddle.h.

Referenced by callback(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

#define TYPE_VOIDP 1

Definition at line 80 of file fiddle.h.

Referenced by callback(), function_call(), generic_to_value(), Init_fiddle(), int_to_ffi_type(), and value_to_generic().

## Variable Documentation

VALUE mFiddle

Definition at line 3 of file fiddle.c.

Referenced by callback(), function_call(), generic_to_value(), Init_fiddle(), Init_fiddle_closure(), and Init_fiddle_function().